﻿USE [mbs6organizer]
GO
/****** Object:  Table [dbo].[tblContact]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblContact](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblContact] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblJournal]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblJournal](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblJournal] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblLink]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblLink](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblLink] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblMeeting]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblMeeting](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblMeeting] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblMessages]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblMessages](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblMessages] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblNotice]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblNotice](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[No] [nvarchar](50) SPARSE  NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) SPARSE  NULL,
 CONSTRAINT [PK_tblNotice] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblOrganizerItem]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblOrganizerItem](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[OwnerGUID] [uniqueidentifier] NOT NULL,
	[ReceiverGUID] [uniqueidentifier] NULL,
	[Title] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[ItemType] [nvarchar](50) NOT NULL,
	[Prop1] [nvarchar](2000) SPARSE  NULL,
	[Prop2] [nvarchar](2000) SPARSE  NULL,
	[Prop3] [nvarchar](2000) SPARSE  NULL,
	[Prop4] [nvarchar](2000) SPARSE  NULL,
	[Prop5] [nvarchar](2000) SPARSE  NULL,
	[Prop6] [nvarchar](2000) SPARSE  NULL,
	[Prop7] [nvarchar](2000) SPARSE  NULL,
	[Prop8] [nvarchar](2000) SPARSE  NULL,
	[Prop9] [nvarchar](2000) SPARSE  NULL,
	[Prop10] [nvarchar](2000) SPARSE  NULL,
	[Prop11] [nvarchar](2000) SPARSE  NULL,
	[Prop12] [nvarchar](2000) SPARSE  NULL,
	[Prop13] [nvarchar](2000) SPARSE  NULL,
	[Prop14] [nvarchar](2000) SPARSE  NULL,
	[Prop15] [nvarchar](2000) SPARSE  NULL,
 CONSTRAINT [PK_tblOrganizerItem] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblReminder]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblReminder](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblReminder] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblTask]    Script Date: 11/3/2012 1:28:36 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblTask](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[No] [nvarchar](50) SPARSE  NULL,
	[Description] [nvarchar](max) SPARSE  NULL,
	[Priority] [nvarchar](500) SPARSE  NULL,
	[Progress] [int] NULL,
 CONSTRAINT [PK_tblTask] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblTask] ADD  CONSTRAINT [DF_tblTask_Progress]  DEFAULT ((0)) FOR [Progress]
GO
